define([
    'jquery',
    'domReady!'
], function($) {

    $('.control.qty, .field.qty .control').each(function() {
        var qtyChange = $(this);

        // Append span to add clickable element to open submenus
        qtyChange.prepend("<span class=\"quantity-decrease\"></span>");
        qtyChange.append("<span class=\"quantity-increase\"></span>");

        handleQuantityChange(qtyChange);
    })

    function handleQuantityChange(qtyChange) {
        qtyChange.find('.quantity-decrease, .quantity-increase').click(function() {
            // Get the current value of the input
            var currentQty = qtyChange.find('.input-text.qty').val();

            // Get the value of the button clicked
            var buttonValue = $(this).attr('class');

            // If the button is the increase button, add 1 to the current value
            if (buttonValue == 'quantity-increase') {
                // Get the current value of the input and add 1
                var newQty = parseInt(currentQty) + 1;

                // Set the new value of the input
                qtyChange.find('.input-text.qty').val(newQty);
            }

            // If the button is the decrease button, subtract 1 from the current value
            if (buttonValue == 'quantity-decrease') {
                // Get the current value of the input and subtract 1
                var newQty = parseInt(currentQty) - 1;

                // Ensure that the user cannot enter a negative value
                if (newQty < 0) {
                    newQty = 0;
                }

                // Set the new value of the input
                qtyChange.find('.input-text.qty').val(newQty);
            }
        });
    }
});
